Trimble
PDF eksport RSS - Siste nytt


Hvordan gjøre om en linje til trappetrinn?

Hvis man har en linje med 3D-høyder som egentlig representerer “trappetrinn” vil man gjerne vise denne slik den blir i 3D. Dette kan gjøres med følgende prosedyre, som splitter opp linja i enkeltlinjer som så blir horisontale med høyde fra det høyeste endepunktet:

  1. Lag først linja og sett høyder på den på vanlig vis.
  2. Kopier evt linja til en tom tegning, husk å bruke “Paste to original coordinates”.
  3. Eksploder linja til enkeltstående linjer med “explode”
  4. Lagre tegninga et eller annet sted
  5. Kopier inn følgende tekst til en fil du kaller SetLinesHorizontal.lsp:
(defun c:SetLinesHorizontal ()
 (vl-load-com)
 (setq allLines (ssget "_A" '((0 . "LINE"))))
 (setq lineIndex 0)
 (repeat (sslength allLines)
 	(setq thisLine (ssname allLines lineIndex))
	(setq thisLine (vlax-ename->vla-object thisLine))
        (setq startPoint (vlax-get thisLine 'StartPoint))
        (setq endPoint (vlax-get thisLine 'EndPoint))
	(setq maxZ (max (caddr startPoint) (caddr endPoint)))
	(vlax-put thisLine 'StartPoint (list (car startPoint) (cadr startPoint) maxZ))
	(vlax-put thisLine 'EndPoint (list (car endPoint) (cadr endPoint) maxZ))
	(setq lineIndex (1+ lineIndex))
 );repeat
 (princ)
)
  1. Dra denne fila inn i tegningen
  2. Kjør kommandoen “SetLinesHorizontal”
  3. Lagre tegningen
  4. Importer tegningen til Novapoint Basis
  5. Bruk “Strekk vertikalt” til å strekke alle linjene ned til terreng, med f.eks. 0.1m bredde (velg terrenget under “Objekt å følge”):
  6. Nå har du linja i trappetrinnsvisning i Novapoint Basis.
Sist modifisert: 2016/04/22 14:13 av vn_no_khu